curl-1.3.8: Haskell binding to libcurl

Copyright | (c) Galois Inc 2007-2009
License | BSD3
Maintainer | Sigbjorn Finne <sof@galois.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell98

Network.Curl.Post

Description

Representing and marshalling formdata (as part of POST uploads/submissions.) If you are only looking to submit a sequence of name=value pairs, you are better off using the CurlPostFields constructor; much simpler.

# Documentation

type Header = String Source #

data HttpPost Source #

Constructors

HttpPost |

Fields

- postName :: String
- contentType :: Maybe String
- content :: Content
- extraHeaders :: [Header]
- showName :: Maybe String

#### Instances

Instances details

Show HttpPost Source # |
Instance details Defined in Network.Curl.Post Methods showsPrec :: Int -> HttpPost -> ShowS Source # show :: HttpPost -> String Source # showList :: [HttpPost] -> ShowS Source #
Eq HttpPost Source # |
Instance details Defined in Network.Curl.Post Methods (==) :: HttpPost -> HttpPost -> Bool Source # (/=) :: HttpPost -> HttpPost -> Bool Source #

data Content Source #

Constructors

ContentFile FilePath |
ContentBuffer (Ptr CChar) Long |
ContentString String |

#### Instances

Instances details

Show Content Source # |
Instance details Defined in Network.Curl.Post Methods showsPrec :: Int -> Content -> ShowS Source # show :: Content -> String Source # showList :: [Content] -> ShowS Source #
Eq Content Source # |
Instance details Defined in Network.Curl.Post Methods (==) :: Content -> Content -> Bool Source # (/=) :: Content -> Content -> Bool Source #

multiformString :: String -> String -> HttpPost Source #

sizeof_httppost :: Int Source #

marshallPosts :: [HttpPost] -> IO (Ptr HttpPost) Source #

marshallPost :: HttpPost -> IO (Ptr HttpPost) Source #

curl_slist_append :: Ptr Slist_ -> CString -> IO (Ptr Slist_) Source #

curl_slist_free :: Ptr Slist_ -> IO () Source #

curl_formfree :: Ptr a -> IO () Source #